Results 1 to 8 of 8

Thread: Skype does not run

  1. #1

    Default Skype does not run

    I got the latest Skype and installed it (Kpackage kit did the installation -- there was no other way for me to use YaST instead -- at least I didn't know of any)
    Kpackage kit said that it installed ok and said that it resolved dependencies yet Skype would not start.
    Then I uninstalled that one and tried installing a older version that I had (it worked just fine in 11.2) but that wouldn't start either, so I uninstalled that one.
    Then I deleted the .skype folder from my /home directory (and now I can't find it in the trash folder so that I can undo the delete) and then I had tried re-installing the newer version of Skype but that did not fix anything, it still won't start.

    When I try to start it from the terminal (just by typing skype) I get this message:
    Code:
    skype: error while loading shared libraries: libXv.so.1: cannot open shared object file: No such file or directory
    In YaST, I saw that I do have libXv.so.1 and it's 64 bit. (I have the 64 bit version of SuSE 11.4)

    I thought I could run 32 bit apps too (if that is the problem)? How can I fix this?

  2. #2
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: Skype does not run

    On Sun, 15 May 2011 21:36:03 +0530, gymnart
    <gymnart@no-mx.forums.opensuse.org> wrote:

    > When I try to start it from the terminal (just by typing skype) I get
    > this message:
    > Code:
    > --------------------
    > skype: error while loading shared libraries: libXv.so.1: cannot open
    > shared object file: No such file or directory
    > --------------------
    > In YaST, I saw that I do have libXv.so.1 and it's 64 bit. (I have the
    > 64 bit version of SuSE 11.4)
    > I thought I could run 32 bit apps too (if that is the problem)? How can
    > I fix this?


    to run 32bit applications on 64bit openSUSE you have to install additional
    packages that provide 32bit wrappers of the native 64bit libraries. in
    this case, you're missing xorg-x11-libXv-32bit, which is available from
    the OSS repo.

    (to find out which packages provide libraries you're missing, use the YAST
    software manager, open the 'search' tab, and check the option "RPM
    Provides".)

    i seem to remember that, somewhere in these forums, there's a guide to
    install skype on 64bit systems, but i can't remember where (and am too
    lazy to search right now). but if you follow this procedure, starting
    skype from the command line and searching for whichever libraries are
    missing, you should get there eventually. and remember to install the
    32bit versions of the lib.s skype needs.


    --
    phani.

  3. #3

    Default Re: Skype does not run

    Thanks. I now have that installed. Now it's complaining about
    Code:
    skype: error while loading shared libraries: libQtDBus.so.4: cannot open shared object file: No such file or directory
    I searched for it in YaST but found nothing.

  4. #4

    Default Re: Skype does not run

    ok, I finally got it working.
    I had to install the following: xorg-x11-libXv-32bit, libqt4-32bit, libqt4-x11-32bit, and libpng12 (the 32 bit version)

    Thanks for your help!

  5. #5

    Default Re: Skype does not run

    I used yast to install with no problem. Down load the RPM to your favorite folder.

    Create your download fold as a repository.
    Open yast, software repositories. Add, local directory, Next. Name(any name you like) Then, Browse for the folder. done.
    Make sure it is turned on, or it will not show up.

    Now open Yast, software management . Click on view , repositories. You should see the one you created with the RPM.
    I will stop here, You should be able to figure out the rest.
    Vaio F12: i7-740QM 4GB RAM Nvidia GT 330m
    OpenSuse 11.4 64 bit
    Qosmio i7-740QM 8GB RAM Nvidia GT 360m
    500 GB HD 7200 | 1 TB HD
    Opensuse 11.3 64 bit | VBox, Zoneminder & Mythtv

  6. #6

    Default Re: Skype does not run

    Wow, thanks for that. I'll have to keep this handy for next time.

  7. #7
    Join Date
    Jun 2008
    Location
    Belgrade, Serbia
    Posts
    719

    Default Re: Skype does not run

    zypper install libpng12-0-32bit libqt4-32bit libqt4-dbus-1-32bit libqt4-x11-32bit libsigc++2-32bit xorg-x11-libXv-32bit
    Emil Beli
    http://www.beli.ws/blog/
    openSUSE 11.4 x64 KDE, ATI 5600, i7 dell inspire laptop

  8. #8

    Default Re: Skype does not run

    This thread scares me. Everything you need is in the OSS repository. Also the instructions on the skype download page tell you what is required.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •